com.microfocus.awm.meta.interfaces

## Interface RToolParameter

- All Superinterfaces:
    AWMObject, DynamicObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    RToolInParameter, RToolOutParameter
  All Known Implementing Classes:
    RToolInParameterImpl, RToolInParameterUnresolved, RToolOutParameterImpl, RToolParameterImpl

      public interface RToolParameter
      extends DynamicObject, IFunctionPackageDefinable, org.eclipse.emf.ecore.EObject

  A parameter of a tool.

  The following features are supported:

  - `Target ID File`
  - `Target ID Parm`
  - `Seq No`
  - `Type`
  - `Label`
  - `Mass Processing`
  - `Complex Attribute`
  - `Ui Category`
  - `Ui Resizable`
  See Also:
    `TaurusPackage.getRToolParameter()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ComplexAttributeBase>` | `getComplexAttribute()` Returns the value of the 'Complex Attribute' containment reference list.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getParsedCategory()` Returns the UI_Category attribute value without column or span specifications.
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `FileDescriptor` | `getTargetIDFile()` Returns the value of the 'Target ID File' reference.
    `Property` | `getTargetIDParm()` Returns the value of the 'Target ID Parm' reference.
    `EParameterTypes` | `getType()` Returns the value of the 'Type' attribute.
    `java.lang.String` | `getUiCategory()` Returns the value of the 'Ui Category' attribute.
    `boolean` | `isMassProcessing()` Returns the value of the 'Mass Processing' attribute.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `boolean` | `isSetType()` Returns whether the value of the '`Type`' attribute is set.
    `boolean` | `isSetUiResizable()` Returns whether the value of the '`Ui Resizable`' attribute is set.
    `boolean` | `isUiResizable()` Returns the value of the 'Ui Resizable' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setMassProcessing(boolean value)` Sets the value of the '`Mass Processing`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setTargetIDFile(FileDescriptor value)` Sets the value of the '`Target ID File`' reference.
    `void` | `setTargetIDParm(Property value)` Sets the value of the '`Target ID Parm`' reference.
    `void` | `setType(EParameterTypes value)` Sets the value of the '`Type`' attribute.
    `void` | `setUiCategory(java.lang.String value)` Sets the value of the '`Ui Category`' attribute.
    `void` | `setUiResizable(boolean value)` Sets the value of the '`Ui Resizable`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.
    `void` | `unsetType()` Unsets the value of the '`Type`' attribute.
    `void` | `unsetUiResizable()` Unsets the value of the '`Ui Resizable`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.DynamicObject

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

- - ### Method Detail

    - #### getTargetIDFile

          FileDescriptor getTargetIDFile()

      Returns the value of the 'Target ID File' reference. Reference to a file descriptor. Only important if the type attribute has been set to File.
      Returns:
        the value of the 'Target ID File' reference.
      See Also:
        `setTargetIDFile(FileDescriptor)`, `TaurusPackage.getRToolParameter_TargetIDFile()`

    - #### setTargetIDFile

          void setTargetIDFile(FileDescriptor value)

      Sets the value of the '`Target ID File`' reference.
      Parameters:
        `value` - the new value of the 'Target ID File' reference.
      See Also:
        `getTargetIDFile()`

    - #### getTargetIDParm

          Property getTargetIDParm()

      Returns the value of the 'Target ID Parm' reference. Reference to a property. Only important if the type attribute has been set to Mass Processing or String.
      Returns:
        the value of the 'Target ID Parm' reference.
      See Also:
        `setTargetIDParm(Property)`, `TaurusPackage.getRToolParameter_TargetIDParm()`

    - #### setTargetIDParm

          void setTargetIDParm(Property value)

      Sets the value of the '`Target ID Parm`' reference.
      Parameters:
        `value` - the new value of the 'Target ID Parm' reference.
      See Also:
        `getTargetIDParm()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      Position of the parameter. Depending on the tool type, this can be important for the correct execution of the tool. In dialogs, the sequence numbers are used to position the dialog box fields.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRToolParameter_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### getType

          EParameterTypes getType()

      Returns the value of the 'Type' attribute. The default value is `"String"`. The literals are from the enumeration `EParameterTypes`.
      The type of the parameter. A property or a file descriptor must be referenced on the basis of this attribute.

      Valid values include:

      - String
      - File
      - ToolDefinedResourceOperation
      - MassProcessing
      The default value is String.
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `EParameterTypes`, `isSetType()`, `unsetType()`, `setType(EParameterTypes)`, `TaurusPackage.getRToolParameter_Type()`

    - #### setType

          void setType(EParameterTypes value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `EParameterTypes`, `isSetType()`, `unsetType()`, `getType()`

    - #### unsetType

          void unsetType()

      Unsets the value of the '`Type`' attribute.
      See Also:
        `isSetType()`, `getType()`, `setType(EParameterTypes)`

    - #### isSetType

          boolean isSetType()

      Returns whether the value of the '`Type`' attribute is set.
      Returns:
        whether the value of the 'Type' attribute is set.
      See Also:
        `unsetType()`, `getType()`, `setType(EParameterTypes)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      The label of a tool parameter is optional.
      For `RToolInParameter`, it is the label of the parameter in dialog boxes.
      For `RToolOutParameter`, it is the display text of the parameter in the Output dialog box.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRToolParameter_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### isMassProcessing

          boolean isMassProcessing()

      Returns the value of the 'Mass Processing' attribute. The default value is `"false"`.
      Whether the parameter should run in mass processing mode or not.
      Returns:
        the value of the 'Mass Processing' attribute.
      See Also:
        `setMassProcessing(boolean)`, `TaurusPackage.getRToolParameter_MassProcessing()`

    - #### setMassProcessing

          void setMassProcessing(boolean value)

      Sets the value of the '`Mass Processing`' attribute.
      Parameters:
        `value` - the new value of the 'Mass Processing' attribute.
      See Also:
        `isMassProcessing()`

    - #### getComplexAttribute

          org.eclipse.emf.common.util.EList<ComplexAttributeBase> getComplexAttribute()

      Returns the value of the 'Complex Attribute' containment reference list. The list contents are of type `ComplexAttributeBase`.

      If the meaning of the 'Complex Attribute' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Complex Attribute' containment reference list.
      See Also:
        `TaurusPackage.getRToolParameter_ComplexAttribute()`

    - #### getUiCategory

          java.lang.String getUiCategory()

      Returns the value of the 'Ui Category' attribute.
      Categorizes the parameter in dialogs. Categorized parameters are enclosed in a labeled frame. Successive parameters with the same category will be enclosed by the same frame and ordered by sequence number.
      Returns:
        the value of the 'Ui Category' attribute.
      See Also:
        `setUiCategory(String)`, `TaurusPackage.getRToolParameter_UiCategory()`

    - #### setUiCategory

          void setUiCategory(java.lang.String value)

      Sets the value of the '`Ui Category`' attribute.
      Parameters:
        `value` - the new value of the 'Ui Category' attribute.
      See Also:
        `getUiCategory()`

    - #### isUiResizable

          boolean isUiResizable()

      Returns the value of the 'Ui Resizable' attribute. The default value is `"true"`.
      Defines whether the created control should be resizable or not.
      Returns:
        the value of the 'Ui Resizable' attribute.
      See Also:
        `isSetUiResizable()`, `unsetUiResizable()`, `setUiResizable(boolean)`, `TaurusPackage.getRToolParameter_UiResizable()`

    - #### setUiResizable

          void setUiResizable(boolean value)

      Sets the value of the '`Ui Resizable`' attribute.
      Parameters:
        `value` - the new value of the 'Ui Resizable' attribute.
      See Also:
        `isSetUiResizable()`, `unsetUiResizable()`, `isUiResizable()`

    - #### unsetUiResizable

          void unsetUiResizable()

      Unsets the value of the '`Ui Resizable`' attribute.
      See Also:
        `isSetUiResizable()`, `isUiResizable()`, `setUiResizable(boolean)`

    - #### isSetUiResizable

          boolean isSetUiResizable()

      Returns whether the value of the '`Ui Resizable`' attribute is set.
      Returns:
        whether the value of the 'Ui Resizable' attribute is set.
      See Also:
        `unsetUiResizable()`, `isUiResizable()`, `setUiResizable(boolean)`

    - #### getParsedCategory

          java.lang.String getParsedCategory()

      Returns the UI_Category attribute value without column or span specifications.
      Returns:
        the category without column or span specifications

Copyright © 2015 Micro Focus GmbH. All rights reserved.